Search documentation of wx

# wxDisplayChangedEvent (wx v2.5.4)

Copy Markdown View Source

A display changed event is sent to top-level windows when the display resolution has changed.

This event is currently emitted under Windows only.

See: `wxDisplay`

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxDisplayChangedEvent

## Events

Use `wxEvtHandler:connect/3` with `wxDisplayChangedEventType` to subscribe to events of this type.

## Summary

### Types

wxDisplayChanged()
wxDisplayChangedEvent()
wxDisplayChangedEventType()

## Types

# wxDisplayChanged()

    -type wxDisplayChanged() :: #wxDisplayChanged{type :: wxDisplayChangedEvent:wxDisplayChangedEventType()}.

# wxDisplayChangedEvent()

    -type wxDisplayChangedEvent() :: wx:wx_object().

# wxDisplayChangedEventType()

    -type wxDisplayChangedEventType() :: display_changed.